
%global meadversion 1.0.0
%global namedversion 1.0.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-servlet-api_4.0_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.0.Final-redhat-1

Name:           %{?scl_prefix}jboss-servlet-api_4.0_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java Servlet 4.0 API
Group:          Development/Java

%if %with mead
Source100: jboss-servlet-api_4.0_spec-1.0.0.Final-redhat-1-scm-sources.zip
Source102: jboss-servlet-api_4.0_spec-1.0.0.Final-redhat-1.pom
Source103: jboss-servlet-api_4.0_spec-1.0.0.Final-redhat-1.jar
Source104: jboss-servlet-api_4.0_spec-1.0.0.Final-redhat-1-javadoc.jar
Source105: jboss-servlet-api_4.0_spec-1.0.0.Final-redhat-1-sources.jar
Source106: jboss-servlet-api_4.0_spec-1.0.0.Final-redhat-1-project-sources.tar.gz
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-servlet-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
The Java Servlet 4.0 API classes.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-servlet-api_4.0_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-servlet-api_spec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-servlet-api_4.0_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-servlet-api_4.0_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-servlet-api_4.0_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-servlet-api_4.0_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-servlet-api_4.0_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-servlet-api_4.0_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-servlet-api_4.0_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-servlet-api_4.0_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-servlet-api_4.0_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-servlet-api_4.0_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-servlet-api_4.0_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%{_javadir}/jboss-servlet-api_4.0_spec-%{namedversion}.jar
%{_javadir}/jboss-servlet-api_4.0_spec.jar
%if %with javadoc
%{_javadir}/jboss-servlet-api_4.0_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-servlet-api_4.0_spec-javadoc.jar
%endif
%{_javadir}/jboss-servlet-api_4.0_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-servlet-api_4.0_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-servlet-api_4.0_spec-%{namedversion}
%{_javadocdir}/jboss-servlet-api_4.0_spec
%endif

%changelog
* Thu Jun 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
-  1.0.0.Final-redhat-1 for eap 7.2.0

* Thu Jun 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
-  1.0.0.Final-redhat-1 for eap 7.2.0

* Thu Jun 28 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- 1.0.0.Final-redhat-1
